package com.huashe.park.core.mapper;



import com.huashe.park.domain.entity.BdDevcTrail;

import java.util.List;

/**
 * 设备轨迹Mapper接口
 * 
 * @author ruoyi
 * @date 2024-11-07
 */
public interface BdDevcTrailMapper 
{
    /**
     * 查询设备轨迹
     * 
     * @param id 设备轨迹主键
     * @return 设备轨迹
     */
    public BdDevcTrail selectBdDevcTrailById(Long id);

    /**
     * 查询设备轨迹列表
     * 
     * @param bdDevcTrail 设备轨迹
     * @return 设备轨迹集合
     */
    public List<BdDevcTrail> selectBdDevcTrailList(BdDevcTrail bdDevcTrail);

    /**
     * 新增设备轨迹
     * 
     * @param bdDevcTrail 设备轨迹
     * @return 结果
     */
    public int insertBdDevcTrail(BdDevcTrail bdDevcTrail);

    /**
     * 修改设备轨迹
     * 
     * @param bdDevcTrail 设备轨迹
     * @return 结果
     */
    public int updateBdDevcTrail(BdDevcTrail bdDevcTrail);

    /**
     * 删除设备轨迹
     * 
     * @param id 设备轨迹主键
     * @return 结果
     */
    public int deleteBdDevcTrailById(Long id);

    /**
     * 批量删除设备轨迹
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBdDevcTrailByIds(Long[] ids);
}
